Subject: Problems removing packages with --root flag to dpkg

From: Scott Barker <[email-masked]>
Date: Sun, 15 Sep 1996 13:17:35 -0600 (MDT)

I'm doing some development (experimenting) with debian, and when I try the
following:

dpkg --root=/dos/linux --purge --force-remove-essential e2fsprogs

I get the following errors:

Removing e2fsprogs ...
dpkg (subprocess): unable to execute post-removal script: No such file or directory
dpkg: error processing e2fsprogs (--purge):
 subprocess post-removal script returned error exit status 2
dpkg (subprocess): unable to execute post-installation script: No such file or directory
dpkg: error while cleaning up:
 subprocess post-installation script returned error exit status 2
Errors were encountered while processing:
 e2fsprogs

I can do a 'chroot /dos/linux /var/lib/dpkg/info/e2fsprogs.postrm' without any
problems, so I can only assume that there is something wrong with the chroot
environment created by dpkg when it tries to execute the script.

Any ideas what may be going on? Should I file this as a bug report against
dpkg?

-- 
Scott Barker
Linux Consultant
[email-masked]
http://www.cuug.ab.ca:8001/~barkers/   (under construction)

[ I try to reply to all e-mail within 3 days. If you don't   ]
[ get a response by then, I probably didn't get your e-mail. ]
[ Unsolicited commercial and junk e-mail will be proof-read for US$100 ]

"Technology is dominated by two types of people: those who understand what
   they do not manage, and those who manage what they do not understand."
   - Putt's Law